%global modname pytaglib

Name:           python-%{modname}
Version:        1.4.0
Release:        1%{?dist}
Summary:        Python audio metadata ("tagging") library based on TagLib

License:        GPLv3+
URL:            https://github.com/supermihi/pytaglib
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  taglib-devel

%global _description \
pytaglib is a full-featured, easy-to-use, cross-platform audio metadata\
(“tag”) library for Python (all versions supported). It uses the popular,\
fast and rock-solid TagLib C++ library internally.\
\
pytaglib is a very thin wrapper about TagLib (<150 lines of code), meaning\
that you immediately profit from the underlying library’s speed and stability.

%description %{_description}

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-Cython

%description -n python2-%{modname} %{_description}

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}
# Remove pre-generated source
rm -vf src/taglib.cpp

%build
%py2_build "--cython"
%py3_build "--cython"

%install
%py2_install
%py3_install
# Not interested in having 2 binaries doing same thing
mv -f %{buildroot}%{_bindir}/pyprinttags{3,}

%check
export LC_ALL=C.UTF-8
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{modname}
%license COPYING
%doc README.md NEWS
%{python2_sitearch}/%{modname}-*.egg-info/
%{python2_sitearch}/taglib.so
%{python2_sitearch}/pyprinttags.py*

%files -n python3-%{modname}
%license COPYING
%doc README.md NEWS
%{_bindir}/pyprinttags
%{python3_sitearch}/%{modname}-*.egg-info/
%{python3_sitearch}/taglib.*.so
%{python3_sitearch}/pyprinttags.py
%{python3_sitearch}/__pycache__/pyprinttags.*

%changelog
* Sat Dec 31 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.4.0-1
- Initial package
